@import '@angular/material/prebuilt-themes/deeppurple-amber.css';
@import '~@angular/material/theming';

html,
body {
	width: 100%;
	height: 100%;
	margin: 0;
	font-family: Roboto, 'Segoe UI Emoji', 'Helvetica Neue', sans-serif;

	--space: 8px;

	@media (min-width: 720px) {
		--space: 16px;
	}

	@include mat-core();
	$primary: mat-palette($mat-indigo, 800, 400, 900);
	$accent: mat-palette($mat-purple, 600, 500, 700);
	$warn: mat-palette($mat-red);

	$light-theme: mat-light-theme($primary, $accent, $warn);
	$dark-theme: mat-dark-theme($primary, $accent, $warn);

	@include angular-material-theme($light-theme);
	--background-color: whitesmoke;
	--background-color-z1: white;
	--border-color: rgba(0, 0, 0, 0.12);

	.active {
		background-color: #f2f2f2;
	}

	.dark-theme {
		@include angular-material-theme($dark-theme);
		--background-color: #121212;
		--background-color-z1: #1d1d1d;
		--border-color: rgba(255, 255, 255, 0.12);

		.mat-sidenav-container {
			background-color: var(--background-color) !important;

			mat-sidenav {
				background-color: var(--background-color-z1) !important;
			}
		}

		.active {
			background-color: #494949 !important;
		}
	}

	.primary-text {
		color: mat-color($primary);
	}

	.primary-background {
		background-color: mat-color($primary);
	}

	.primary-border {
		border-color: mat-color($primary) !important;
	}

	.url-highlight {
		color: mat-color($primary, 800);

		&:not(:hover) {
			text-decoration: none;
		}
	}

	mat-sidenav {
		max-width: 90vw;
		overflow: auto;
	}

	.mat-app-background {
		background-color: var(--background-color) !important;
	}

	.speaking {
		background-color: mat-color($accent) !important;
	}

	.speaking-border {
		border-color: mat-color($accent) !important;
	}

	.group {
		border: 1px var(--border-color) solid;
	}

	.emoji-picker {
		max-width: 100vw;
		max-height: 100vh;
		background: none !important;

		.mat-menu-content {
			padding: 0;
		}
	}
}

@font-face {
	font-family: 'Material Icons';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: url('assets/fonts/material-icons.woff2') format('woff2');
}

.material-icons {
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 24px;
	line-height: 1;
	letter-spacing: normal;
	text-transform: none;
	display: inline-block;
	white-space: nowrap;
	word-wrap: normal;
	direction: ltr;
	-moz-font-feature-settings: 'liga';
	-moz-osx-font-smoothing: grayscale;
}

@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 300;
	font-display: swap;
	src: url('assets/fonts/roboto-300.woff2') format('woff2');
}

@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: url('assets/fonts/roboto-400.woff2') format('woff2');
}

@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 500;
	font-display: swap;
	src: url('assets/fonts/roboto-500.woff2') format('woff2');
}
